Qt 5.13 | Qt Charts | QML Types | BarCategoryAxis QML Type

Qt Charts | Commercial or GPLv3

# BarCategoryAxis QML Type

Adds categories to a chart's axes. More...

Import Statement: | import QtCharts 2.13
Inherits: | AbstractAxis

- List of all members, including inherited members

## Properties

- categories : QStringList
- count : int
- max : string
- min : string

## Signals

- rangeChanged(min, string max)

## Methods

- void clear()

## Detailed Description

The BarCategoryAxis type can be set up to show an axis line with tick marks, grid lines, and shades. Categories are drawn between the ticks. It can be used also with a line series.

The following QML snippet illustrates how to use BarCategoryAxis:

      ChartView {
          BarCategoryAxis {
              id: categoryAxis
              categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun" ]
          }
      // Add a few series...
      }

## Property Documentation

categories : QStringList

The categories of an axis.

count : int

The number of categories of an axis.

max : string

The maximum value on the axis.

min : string

The minimum value on the axis.

## Signal Documentation

rangeChanged(min, string max)

This signal is emitted when min or max value of the axis changes.

The corresponding signal handler is `onRangeChanged`.

## Method Documentation

void clear()

Removes all categories. Sets the maximum and minimum values of the axis range to QString::null.